VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form MainWindow 
   Caption         =   "MegaView"
   ClientHeight    =   3660
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   4560
   LinkTopic       =   "MainWindow"
   ScaleHeight     =   244
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   304
   StartUpPosition =   3  'Windows-Standard
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   0
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Menu file 
      Caption         =   "Datei"
      Begin VB.Menu open 
         Caption         =   "ffnen"
      End
      Begin VB.Menu close 
         Caption         =   "Schlieen"
      End
      Begin VB.Menu exit 
         Caption         =   "Beenden"
      End
   End
   Begin VB.Menu help 
      Caption         =   "?"
      Begin VB.Menu info 
         Caption         =   "Info"
      End
      Begin VB.Menu version 
         Caption         =   "Version"
      End
   End
End
Attribute VB_Name = "MainWindow"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'******************************************************************************
'Beispiel zum Aufruf der prtdraw.dll Funktionen aus VB
'AURICH Innenprojekt GmbH, K.Hiller, 06.07.2004
'******************************************************************************
Private sIni As String * 255    'String mit Fester Lnge fr *.ini Verzeichnis
Private sFile As String * 255   'String mit fester Lnge fr Datei-Pfad und Name
Private sText As String         'String fr Rckgabewertmeldung

Private Sub close_Click()
  'Dateiname auf Null setzen, neuzeichen
  Call SetStringNull(sFile)
  Call Form_Paint
End Sub

Private Sub exit_Click()
  'Formular schlieen, Programm verlassen
  Call Unload(MainWindow)
End Sub

Private Sub Form_Load()
  'Variablen und Funktionen initialisieren
  Call SetStringNull(sIni)
  sIni = "C:\Programme\MegaCAD_3D_2004\megacad.ini"
  Call SetStringNull(sFile)
  sText = "Keine Zeichnung geladen"
  'MegaCAD SetMegaIni Funktion aus drawprt.dll aufrufen
  Call SetIni(sIni)
End Sub

Private Sub Form_Paint()
  'Fenster neuzeichnen
  Dim rDisp As tRECT          'Zeichenbereich
  Dim rVirt As tRECT          'Virtueller-Bereich
  Dim rClip As tRECT          'Clipping-Bereich
  Dim lDrawPrt As Long        'Rckgabewert von DrawPrt-Funktion
   
  'wenn sFile nicht leer, dann zeichne
  If StrComp(sFile, Trim(sFile), 0) Then
    'Rckgabewert von Scale... festlegen (Pixel-Wert erforderlich)
    MainWindow.ScaleMode = 3 '3-Pixel
    'rDisp Bereich festlegen (Anzeige Breich)
    rDisp.lLeft = CLng(MainWindow.ScaleLeft)
    rDisp.lTop = CLng(MainWindow.ScaleTop)
    rDisp.lRight = CLng(MainWindow.ScaleWidth)
    rDisp.lBottom = CLng(MainWindow.ScaleHeight)
    'rVirt Bereich festlegen (Zoom Bereich)
    rVirt.lLeft = CLng(MainWindow.ScaleLeft) + 20
    rVirt.lTop = CLng(MainWindow.ScaleTop) + 20
    rVirt.lRight = CLng(MainWindow.ScaleWidth) - 20
    rVirt.lBottom = CLng(MainWindow.ScaleHeight) - 20
    'rClip Bereich festlegen (Sichtbarer Bereich)
    rClip.lLeft = CLng(MainWindow.ScaleLeft) + 5
    rClip.lTop = CLng(MainWindow.ScaleTop) + 5
    rClip.lRight = CLng(MainWindow.ScaleWidth) - 5
    rClip.lBottom = CLng(MainWindow.ScaleHeight) - 5

    'MegaCAD DrawPrtFile aus drawprt.dll aufrufen
    lDrawPrt = DrawPrt(sFile, MainWindow.hDC, rDisp, rVirt, rClip, 15)
          
    Select Case lDrawPrt
    Case Is > 0
      sText = "MegaCAD Version: " & CStr(lDrawPrt)
    Case 0
      sText = "Keine gltige Datei."
    Case -1
      sText = "Kann Datei " & CStr(sFile) & " nicht ffnen."
    Case -2
      sText = "Alles gestuzt, nichts gezeichnet."
    Case -3
      sText = "Kein Speicher mehr."
    Case Else
      sText = "Kein gltiger Rckgabewert: " & CStr(lDrawPrt)
    End Select
    'nur Fehler anzeigen
    If lDrawPrt <= 0 Then
      Call MsgBox(sText, bExclamation, "PrtDraw.dll")
      Call SetStringNull(sFile)
      MainWindow.Cls
      sText = "Keine Zeichnung geladen"
    End If
  Else
    'Fenster lschen
    MainWindow.Cls
    sText = "Keine Zeichnung geladen"
  End If
End Sub

Private Sub Form_Resize()
  'Grsse gendert, neu zeichnen
  Call Form_Paint
End Sub

Private Sub info_Click()
  Call MsgBox("Beispiel zum Aufruf der prtdraw.dll Zeichen-Funktionen " & vbCrLf & _
              "aus einem VB-Projekt" & vbCrLf & vbCrLf & _
              "MEGATECH Software GmbH, MegaCAD 2004" & vbCrLf & vbCrLf & _
              "AURICH Innenprojekt GmbH, K.Hiller, 2004.07.06", bExclamation, "Info")
End Sub

Private Sub open_Click()
  'Dateidialog ffen
  On Error GoTo CommonDlgFehler
    ' Filter angeben
    CommonDialog1.Filter = "Alle Dateien (*.*)|*.*|" & _
                           "Zeichnungsdateien (*.prt)|*.prt|" & _
                           "Baugruppendateien (*.mac)|*.mac"
    ' Standardfilter angeben
    CommonDialog1.FilterIndex = 2
    ' Dialog ffnen
    CommonDialog1.ShowOpen
    'File Name zuweisen
    Call SetStringNull(sFile)
    sFile = CommonDialog1.FileName
    'File zeichen
    Form_Paint
  Exit Sub
    
CommonDlgFehler:
  ' Fehler im Dialog
  Call MsgBox("Fehler im Dialog - ffnen", bExclamation, "CommonDialog - open")
End Sub

Private Sub SetStringNull(ByRef s)
  'initialisiert den String mit 0
  s = String(LenB(s), 0)
End Sub

Private Sub version_Click()
    Call MsgBox("Version der geladenen Zeichnung." & vbCrLf & vbCrLf & sText, _
    bExclamation, "Version")
End Sub
